cdac.medinfo.sdk.hl7282.baselibs.segmentfactory

## Class AttributeItem

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segmentfactory.AttributeItem

- All Implemented Interfaces:
    IAttributeItem

      public final class AttributeItem
      extends java.lang.Object
      implements IAttributeItem

  AttributeItem class is the implementation of IAttributeItem. AttributeItem represents structure of a attribute of a segment as defined in HL7 standard.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeItem()` Default Constructor for AttributeItem.
    `AttributeItem(java.lang.String strFieldName, int intItemID, int intSeq, int minLen, int maxLen, java.lang.String cLen, java.lang.String strDataType)` Parameterized constructor for Attribute which initializes different fields of an item.
    `AttributeItem(java.lang.String strFieldName, int intItemID, int intSeq, int minLen, int maxLen, java.lang.String cLen, java.lang.String strDataType, int[] intTableNo, boolean bRepeatable, boolean bOptional)` Parameterized constructor for Attribute which initializes different fields of an item.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getConformanceLength()` Retrieves Conformance Length for attribute defined by HL7 standard in segment.
    `java.lang.String` | `getDataType()` Retrieves Data Type for attribute defined by HL7 standard in segment.
    `java.lang.String` | `getFieldName()` Retrieves name of attribute.
    `int` | `getItemID()` Retrieves Item ID for attribute defined by HL7 standard.
    `int` | `getMaximumLength()` Retrieves Maximum Length for attribute defined by HL7 standard in segment.
    `int` | `getMinimumLength()` Retrieves Minimum Length for attribute defined by HL7 standard in segment.
    `int` | `getOccurrence()` Retrieves Occurrence for attribute defined by HL7 standard in segment.
    `int` | `getSequenceNo()` Retrieves sequence number for attribute defined by HL7 standard in segment.
    `int[]` | `getTableNo()` Retrieves Table number for attribute defined by HL7 standard in segment.
    `boolean` | `isOptional()` Shows optionality status for attribute defined by HL7 standard in segment.
    `boolean` | `isRepeatable()` Shows repeatability status for attribute defined by HL7 standard in segment.
    `void` | `setConformanceLength(java.lang.String cLen)` Sets Conformance Length for attribute defined by HL7 standard in segment.
    `void` | `setDataType(java.lang.String strDataType)` Sets Datatype for attribute defined by HL7 standard in segment.
    `void` | `setFieldName(java.lang.String strName)` Sets name of attribute.
    `void` | `setItemID(int intItemID)` Sets Item ID for attribute defined by HL7 standard.
    `void` | `setMaximumLength(int maxLen)` Sets Maximum Length for attribute defined by HL7 standard in segment.
    `void` | `setMinimumLength(int minLen)` Sets Minimum Length for attribute defined by HL7 standard in segment.
    `void` | `setOccurrence(int intOccurrence)` Sets Occurrence for attribute defined by HL7 standard in segment.
    `void` | `setOptional(boolean bOptional)` Sets optionality status for attribute defined by HL7 standard in segment.
    `void` | `setRepeatable(boolean bRepeatable)` Sets repeatability status for attribute defined by HL7 standard in segment.
    `void` | `setSequenceNo(int intSeq)` Sets sequence number for attribute defined by HL7 standard in segment.
    `void` | `setTableNo(int[] intTableNo)` Sets Table number for attribute defined by HL7 standard in segment.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeItem

          public AttributeItem()

      Default Constructor for AttributeItem.

    - #### AttributeItem

          public AttributeItem(java.lang.String strFieldName,
                       int intItemID,
                       int intSeq,
                       int minLen,
                       int maxLen,
                       java.lang.String cLen,
                       java.lang.String strDataType,
                       int[] intTableNo,
                       boolean bRepeatable,
                       boolean bOptional)

      Parameterized constructor for Attribute which initializes different fields of an item.
      Parameters:
        `strFieldName` - Name of Field name
        `intItemID` - Integer value of an Item ID
        `intSeq` - Integer value of Sequence number of an Item ID
        `minLen` - Integer value of Minimum Length of an Item ID
        `maxLen` - Integer value of Maximum Length of an Item ID
        `cLen` - Integer value of Conformance Length of an Item ID
        `strDataType` - Integer value of Data type of an Item ID
        `intTableNo` - Integer value of Table number of an Item ID
        `bRepeatable` - Show status of an Item whether repeatable or not
        `bOptional` - Show status of an Item whether optional or not

    - #### AttributeItem

          public AttributeItem(java.lang.String strFieldName,
                       int intItemID,
                       int intSeq,
                       int minLen,
                       int maxLen,
                       java.lang.String cLen,
                       java.lang.String strDataType)

      Parameterized constructor for Attribute which initializes different fields of an item.
      Parameters:
        `strFieldName` - Name of Field name
        `intItemID` - Integer value of an Item ID
        `intSeq` - Integer value of Sequence number of an Item ID
        `minLen` - Integer value of Minimum Length of an Item ID
        `maxLen` - Integer value of Maximum Length of an Item ID
        `cLen` - Integer value of Conformance Length of an Item ID
        `strDataType` - Integer value of Data type of an Item ID

  - ### Method Detail

    - #### getFieldName

          public java.lang.String getFieldName()

      Retrieves name of attribute.
      Specified by:
        `getFieldName` in interface `IAttributeItem`
      Returns:
        String - name of attribute

    - #### setFieldName

          public void setFieldName(java.lang.String strName)

      Sets name of attribute.
      Specified by:
        `setFieldName` in interface `IAttributeItem`
      Parameters:
        `strName` - name of attribute

    - #### getItemID

          public int getItemID()

      Retrieves Item ID for attribute defined by HL7 standard.
      Specified by:
        `getItemID` in interface `IAttributeItem`
      Returns:
        int value of ItemID

    - #### setItemID

          public void setItemID(int intItemID)

      Sets Item ID for attribute defined by HL7 standard.
      Specified by:
        `setItemID` in interface `IAttributeItem`
      Parameters:
        `intItemID` - value of ItemID

    - #### getSequenceNo

          public int getSequenceNo()

      Retrieves sequence number for attribute defined by HL7 standard in segment.
      Specified by:
        `getSequenceNo` in interface `IAttributeItem`
      Returns:
        int - value of sequence index

    - #### setSequenceNo

          public void setSequenceNo(int intSeq)

      Sets sequence number for attribute defined by HL7 standard in segment.
      Specified by:
        `setSequenceNo` in interface `IAttributeItem`
      Parameters:
        `intSeq` - value of sequence index

    - #### getMaximumLength

          public int getMaximumLength()

      Retrieves Maximum Length for attribute defined by HL7 standard in segment.
      Specified by:
        `getMaximumLength` in interface `IAttributeItem`
      Returns:
        int - value of Maximum length

    - #### setMaximumLength

          public void setMaximumLength(int maxLen)

      Sets Maximum Length for attribute defined by HL7 standard in segment.
      Specified by:
        `setMaximumLength` in interface `IAttributeItem`
      Parameters:
        `maxLen` - Maximum length value

    - #### getMinimumLength

          public int getMinimumLength()

      Retrieves Minimum Length for attribute defined by HL7 standard in segment.
      Specified by:
        `getMinimumLength` in interface `IAttributeItem`
      Returns:
        int - value of Minimum length

    - #### setMinimumLength

          public void setMinimumLength(int minLen)

      Sets Minimum Length for attribute defined by HL7 standard in segment.
      Specified by:
        `setMinimumLength` in interface `IAttributeItem`
      Parameters:
        `minLen` - Minimum length value

    - #### getConformanceLength

          public java.lang.String getConformanceLength()

      Retrieves Conformance Length for attribute defined by HL7 standard in segment.
      Specified by:
        `getConformanceLength` in interface `IAttributeItem`
      Returns:
        String - value of Conformance length

    - #### setConformanceLength

          public void setConformanceLength(java.lang.String cLen)

      Sets Conformance Length for attribute defined by HL7 standard in segment.
      Specified by:
        `setConformanceLength` in interface `IAttributeItem`
      Parameters:
        `cLen` - Conformance length value

    - #### getDataType

          public java.lang.String getDataType()

      Retrieves Data Type for attribute defined by HL7 standard in segment.
      Specified by:
        `getDataType` in interface `IAttributeItem`
      Returns:
        String name of DataType

    - #### setDataType

          public void setDataType(java.lang.String strDataType)

      Sets Datatype for attribute defined by HL7 standard in segment.
      Specified by:
        `setDataType` in interface `IAttributeItem`
      Parameters:
        `strDataType` - name of attribute

    - #### getTableNo

          public int[] getTableNo()

      Retrieves Table number for attribute defined by HL7 standard in segment.
      Specified by:
        `getTableNo` in interface `IAttributeItem`
      Returns:
        int[] - array of table number

    - #### setTableNo

          public void setTableNo(int[] intTableNo)

      Sets Table number for attribute defined by HL7 standard in segment.
      Specified by:
        `setTableNo` in interface `IAttributeItem`
      Parameters:
        `intTableNo` - array of table number

    - #### isRepeatable

          public boolean isRepeatable()

      Shows repeatability status for attribute defined by HL7 standard in segment.
      Specified by:
        `isRepeatable` in interface `IAttributeItem`
      Returns:
        boolean - status as true or false

    - #### setRepeatable

          public void setRepeatable(boolean bRepeatable)

      Sets repeatability status for attribute defined by HL7 standard in segment.
      Specified by:
        `setRepeatable` in interface `IAttributeItem`
      Parameters:
        `bRepeatable` - status as true or false

    - #### getOccurrence

          public int getOccurrence()

      Retrieves Occurrence for attribute defined by HL7 standard in segment.
      Specified by:
        `getOccurrence` in interface `IAttributeItem`
      Returns:
        int - Number of Occurrence of the attribute

    - #### setOccurrence

          public void setOccurrence(int intOccurrence)

      Sets Occurrence for attribute defined by HL7 standard in segment.
      Specified by:
        `setOccurrence` in interface `IAttributeItem`
      Parameters:
        `intOccurrence` - Size of the attribute

    - #### isOptional

          public boolean isOptional()

      Shows optionality status for attribute defined by HL7 standard in segment.
      Specified by:
        `isOptional` in interface `IAttributeItem`
      Returns:
        boolean - status as true or false

    - #### setOptional

          public void setOptional(boolean bOptional)

      Sets optionality status for attribute defined by HL7 standard in segment.
      Specified by:
        `setOptional` in interface `IAttributeItem`
      Parameters:
        `bOptional` - status as true or false